
QGIS Application - Bug report #4813

print composer's scale bar systematically resets the segment size value to 0 when opening projects

2012-01-14 10:01 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14662

Description

I've noticed this bug a few weeks back.

The segment size value of a composer scale bar item is reset to the value 0 after closing a saved project and re-opening it.

I'm putting the priority to "High" as this bug, which sounds tiny, is actually a bummer in production environment when you are sometimes

asked to quickly render a project you already made and forget to re-set the segment size value.

Problem occuring both on a Win7 machine, as well as Debien-based Ubuntu.

History

#1 - 2012-01-15 04:52 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#2 - 2012-01-16 02:31 AM - James Stott

I am getting slightly different behaviour to this.

In one project I am using a Double Box style scale bar with the segment size set to 25. When I reopen this project, it is changing the scale bar from 25

segment size to 40.

Results from 3 different projects

Segment Size - 25m - Reopens at 40m

Segment Size 250m - Reopens at 0m

Segment Size 500m on 3 different composers in the same project - 2 composers reopen at 1000m, one at 0m

Windows XP using QGIS Dev.

#3 - 2012-01-16 03:12 AM - Marco Hugentobler

- Status changed from Open to Resolved

Fixed in 5afa34c5aa1151ce27f41121d56d21fcbb92d1cd

#4 - 2012-01-16 05:26 AM - Mathieu Pellerin - nIRV
Marco, big thanks.

#5 - 2012-01-16 06:38 AM - Giovanni Manghi

- Resolution set to fixed

#6 - 2012-01-16 06:38 AM - Giovanni Manghi

- Status changed from Resolved to Closed
